import requests
import json


class PQ:
    @staticmethod
    def get_pq_all_cover(video_id: str):
        """获取所有封面"""
        url = "https://longvideoapi.piaoquantv.com/longvideoapi/video/getCoverImagePaths"
        payload = f"versionCode=31&platform=PC&appType=5&loginUid=208&id={video_id}&needSelfCoverImg=1"
        headers = {
            'accept': '*/*',
            'accept-language': 'zh-CN,zh;q=0.9',
            'cache-control': 'no-cache',
            'content-type': 'application/x-www-form-urlencoded;charset=UTF-8',
            'origin': 'https://admin.piaoquantv.com',
            'pragma': 'no-cache',
            'priority': 'u=1, i',
            'sec-ch-ua-mobile': '?0',
            'sec-ch-ua-platform': '"macOS"',
            'sec-fetch-dest': 'empty',
            'sec-fetch-mode': 'cors',
            'sec-fetch-site': 'same-site',
            'Cookie': 'JSESSIONID=694A2E661D405FD3A62B2F4AE84B91D4'
        }

        response = requests.request("POST", url, headers=headers, data=payload)
        response = response.json()
        code = response['code']
        if code != 0:
            return
        cover_imgs = response['data']['videoCoverImages']
        return cover_imgs

    @staticmethod
    def update_pq_video_cover(video_id: str, cover_url: str, cover_id: int):
        """修改封面"""
        if cover_id == None:
            return 1
        url = "https://admin.piaoquantv.com/manager/video/multiCover/update"

        payload = json.dumps([
            {
                "id": cover_id,
                "coverUrl": cover_url,
                "shareWeight": 1000,
                "distributionWeight": 1000,
                "videoId": video_id
            }
        ])
        headers = {
            'accept': 'application/json',
            'accept-language': 'zh-CN,zh;q=0.9',
            'cache-control': 'no-cache',
            'content-type': 'application/json',
            'cookie': 'SESSION=NjVmNjUzNDYtZDQzNy00MjA4LTgzMTktY2Q2ODE3ODAxMmQ3',
            'origin': 'https://admin.piaoquantv.com',
            'pragma': 'no-cache',
            'priority': 'u=1, i',
            'sec-ch-ua-mobile': '?0',
            'sec-ch-ua-platform': '"macOS"',
            'sec-fetch-dest': 'empty',
            'sec-fetch-mode': 'cors',
            'sec-fetch-site': 'same-origin'
        }

        response = requests.request("POST", url, headers=headers, data=payload)
        response = response.json()
        code = response['code']
        print(code)
        return code


    @staticmethod
    def get_pq_cover_id(video_id: str):
        """获取封面id"""
        url = "https://admin.piaoquantv.com/manager/video/multiCover/listV2"

        payload = json.dumps({
            "videoId": video_id,
            "range": "2h"
        })
        headers = {
            'accept': 'application/json',
            'accept-language': 'zh-CN,zh;q=0.9',
            'cache-control': 'no-cache',
            'content-type': 'application/json',
            'cookie': 'SESSION=NjVmNjUzNDYtZDQzNy00MjA4LTgzMTktY2Q2ODE3ODAxMmQ3',
            'origin': 'https://admin.piaoquantv.com',
            'pragma': 'no-cache',
            'priority': 'u=1, i',
            'sec-ch-ua-mobile': '?0',
            'sec-ch-ua-platform': '"macOS"',
            'sec-fetch-dest': 'empty',
            'sec-fetch-mode': 'cors',
            'sec-fetch-site': 'same-origin'
        }
        response = requests.request("POST", url, headers=headers, data=payload)
        response = response.json()
        code = response['code']
        if code != 0:
            return None, None
        cover_id = response['content'][0]['id']
        cover_url = response['content'][0]['coverUrl']

        print(cover_id)
        return cover_id, cover_url
